@charset 'UTF-8';
:root {
    font-size: 16px;
    font-family: intermedium;
}
@font-face {
    font-family: 'pvm';
    src: url('/fonts/ppvalve-plainmedium-webfont.woff2') format('woff2'),
        url('/fonts/ppvalve-plainmedium-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'intermedium';
    src: url('/fonts/Inter-Medium.woff2') format('woff2'),
        url('/fonts/Inter-Medium.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'jakarta';
    src: url('/fonts/plusjakartasans-variablefont_wght-webfont.woff2') format('woff2'),
        url('/fonts/plusjakartasans-variablefont_wght-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'lufgamedium';
    src: url('/fonts/lufgamedium-webfont.woff2') format('woff2'),
        url('/fonts/lufgamedium-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
html, body{
    width: 100%;
    height: 100%;
}
#wholeContent{
    width: 100%;
    height: 100%;
}
.sibeliusContent{
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    height: 100%;
}
.mainMenu{
    float: left;
    height: 80%;
}
.box{

}
.btn{
    font-family: jakarta;
    font-weight: bold;
    white-space: nowrap;
    padding: 2% 4% 2% 8%;
    display: inline-block;
    position: relative;
}
.btn img{
    display: inline;
    vertical-align: middle;
    margin: 0 2% 0 0;
    height: 50%;
    position: absolute;
    left: 5%;
    top: 0;
    bottom: 0;
    margin-top: auto;
    margin-bottom: auto;
}
a.btn.noBorder{
    border: none;
}
.btn.noImg, .btn.white.noImg, .btn.black.noImg{
    padding: 2% 4% 2% 4%;
}
.btn.black{
    color: #fff;
    background: #000;
    border-radius: 4px;
}
.btn.white{
    border: #ccc solid 1px;
    border-radius: 4px;
    padding: 1% 2% 1% 4%;
    margin: 5.5% 0 0 0;
}
.btn.white img{
    left: 4%;
}
.btn.white.login img{
    height: 40%;
}
.center{
    text-align: center;
}
.mainHeader{
    width: 100%;
    height: 8.148%;
    padding: 2% 2% 0 2%;
}
.mainContent{
    width: 100%;
    height: 91.852%;
}
.pageContent{
    width: 100%;
    height: 100%;
}
.column1{
    width: 45.105%;
    float: left;
    height: 100%;
    position: relative;
}
.column2{
    width: 54.895%;
    float:left;
    height: 100%;
    position: relative;
}
.mainFooter{
}
.mainFooterContent{

}
.pageContent{
    padding: 2% 2% 2% 2%;
}
.pageContent p{

}

.pageContent h2{

}
.pageContent h3{
    font-family: pvm;
    font-weight: normal;
    font-size: 2rem;
}
.pageContent h4{
    font-family: pvm;
    font-weight: normal;
    font-size: 4rem;
}
.pageContent h4 span{
    color: #4549ff;
}
.pageContent ul, .pageContent ol{
    margin: 0 0 0 20px;
    max-width: 720px;
}

.successInfo{
    font-size: 18px;
}
.errorInfo{
    font-size: 18px;
    border-bottom: 2px solid #400505;
}
.pageContent p.txHash{
    font-size: 13px;
    color: #ccc;
}
/*header content */
.headerLogo{
    float: left;
    font-size: 2rem;
    color: #000;
    font-family: pvm;
    height: 100%;
    line-height: 100%;
}
.userAccountBox{
    padding: 0 0 0;
    border: none;
    width: auto;
    float: right;
    background: none;
}
.userAccountBox a.btn{
    display: inline-block;
    vertical-align: middle;
    padding: 12px 20px 12px 40px;
}
.userAccountBox a.btn.white{
    margin: 0;
    padding-top: 2%;
    padding-bottom: 2%;
}
.userAccountBox a.btn.white img{
    height: 43%;
    left: 6%;
}
.userAccountBox a.btn.login img{
    height: 40%;
    left: 12%;
}
.userAccountBox .walletAddress{
    color: #999;
    display: inline-block;
    vertical-align: middle;
}
.userAccountBox .walletAddress a{
    color: #6A6DFF;
    border-bottom: 1px solid #6A6DFF;
    margin: 0 10px 0 0;
}
.userAccountBox .walletAddress a.noBorder{
    border-bottom: none;
}
.userAccountBox .walletAddress img{
    display: inline-block;
    vertical-align: middle;
    height: 18px;
}
.userAccountBox .separator{
    width: 1px;
    height: 40px;
    background: #e5e5e5;
    margin: 0 15px 0 15px;
    display: inline-block;
    vertical-align: middle;
}
.customSelector{
    position: relative;
    height: 100%;
    border: 1px solid #CCCCCC;
    border-radius: 4px;
    overflow: hidden;
    z-index: 2;
    cursor: pointer;
}
.customSelector.selected{
    overflow: visible;
}
.customSelector .arrow{
    position: absolute;
    right: 5%;
    top: 50%;
    transform: translateY(-50%);
    height: 16px;
    width: 16px;
    background: url('/page/smartaccount/img/arrowDown.svg') center center no-repeat;
    background-size: 100%;
}

.customSelector .item{
    float: left;
    width: 100%;
    height: 100%;
    border: 1px solid #ccc;
    border: 1px solid #CCCCCC;
    border-radius: 4px;
    background: #fff;
}
.customSelector .item.selected{
    border: none;
}

.customSelector .item img{
    height: 100%;
}
.customSelector .item .imgContent{
    height: 100%;
    float: left;
    padding: 2%;
}
.customSelector .item .textContent{
    height: 100%;
    float: left;
    display: flex;
    align-items: center;
}
.customSelector .item.selected{
    display: block;
}
.userAccountBox{
    padding: 0 0 0;
    border: none;
    width: auto;
    float: right;
    background: none;
}
.userAccountBox a{
    color: #010101;
}
.messageBox{
}
.messageBox a{
}
.messageBox a img{
}
.messageBox .messageCounter{
}
.mainMenu{
    height: 60%;
    border-left: 1px solid #e5e5e5;
    padding: 0 0 0 24px;
    margin: 0 0 0 24px;
}
.mainMenu ul{
    margin: 0;
    height: 100%;
}

.mainMenu ul li{
    list-style-type: none;
    float: left;
    height: 100%;
    padding: 0 24px 0 0;
}
.mainMenu ul li:first-of-type{

}
.mainMenu ul a{
    height: 100%;
    display: flex;
    align-items: center;
    font-size: 1rem;
}
.mainMenu ul a.selected{
    color: #4549FF;
}
.callToActionBox, .moneyBox{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
}
.callToActionBox{
    border-bottom: 1px solid #e5e5e5;
    width: 97%;
    padding: 0 0 5.5% 0;
}
.callToActionBox p{
    color: #808080;
    font-family: intermedium;
    font-size: 1rem;
    padding: 4% 0 0;
}
/* savings */
.chart{
    width: 100%;
    height: 45%;
    border: 1px solid #E5E5E5;
    border-radius: 8px;
    padding: 3%;
    display: none;
}
.chart .chartHeader{
    position: absolute;
}
.chart .chartHeader .title{
    font-family: pvm;
    font-size: 2rem;
}
.chart .chartHeader .description{
    color: #999;
}
.chart .chartArea{
    width: 100%;
    height: 100%;
}

.chart .chartColumn{
    width: 8.333%;
    height: 100%;
    float: left;
    position: relative;
}
.chart .chartColumn .value{
    position: absolute;
    width: 100%;
    text-align: center;
}
.chart .chartColumn .shape{
    width: 90%;
    background: #ECEDFF;
    border-radius: 4px;
    position: absolute;
    bottom: 50px;
    left: 0;
    right: 0;
    margin: 0 auto;
}
.chart .chartColumn .line{
    width: 100%;
    height: 5%;
    border-top: 1px solid #ccc;
    position: absolute;
    bottom: 20px;
}
.chart .chartColumn .line .separator{
    width: 50%;
    height: 100%;
    border-right: 1px solid #ccc;
    float: left;
}
.chart .chartColumn .line .separator:nth-of-type(2){
    border-right: none;
}
.chart .chartColumn .month{
    position: absolute;
    bottom: 0;
    height: 5%;
    width: 100%;
    text-align: center;
}
.moneyBox{
    width: 100%;
    position: absolute;
    bottom: 0;
    right: 0;
}
.callToActionBox{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 97%;
}
.moneyBox .arrows{
    background-color: #fff;
    border-radius: 50%;
    width: 4%;
    height: 0;
    padding-bottom: 4%;
    position: absolute;
    left: 0;
    right: 0;
    margin: 0 auto;
    top: 0;
    bottom: 0;
    text-align: center;
    display: inline-block;
    top: 50%;
    transform: translateY(-50%);
}
.moneyBox .arrows img{
    left: 0;
    right: 0;
    margin: 0 auto;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}
.walletBox{
    float: left;
    width: 48.861%;
    background: #C9F4FF;
    border-radius: 8px;
    padding: 5%;
}
.savingsBox{
    float: right;
    width: 48.861%;
    background: #D5FBE8;
    border-radius: 8px;
    padding: 5%;
}
.walletBox .boxHeader, .savingsBox .boxHeader{
    font-family: pvm;
    font-size: 2rem;
}
.walletBox .circle, .savingsBox .circle{
    display: inline-block;
    border-radius: 50%;
    width: 9%;
    height: 0;
    padding-bottom: 9%;
    text-align: center;
    position: relative;
    float: right;
}
.walletBox .circle img, .savingsBox .circle img{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    height: 65%;
}
.walletBox .circle.blue{
    background-color: #4ddaff;
}
.savingsBox .circle.green{
    background: #15de7b;
}

.walletBox .balance, .savingsBox .balance{

}
.walletBox .moneyBoxHint, .savingsBox .moneyBoxHint{
    font-size: 0.875rem;
    font-weight: 500;
    margin: 15% 0 6% 0;
}
.walletBox .moneyBoxHint span, .savingsBox .moneyBoxHint span{
    color: #fff;
    border-radius: 4px;
    padding: 1%;
}
.walletBox .moneyBoxHint span.blue{
    background: #4DDAFF;
}
.savingsBox .moneyBoxHint span.green{
    background: #15DE7B;
}
.walletBox .value, .savingsBox .value{
    font-family: pvm;
    font-size: 4rem;
}
.walletBox .value .currency, .savingsBox .value .currency{
    font-size: 1rem;
    font-family: intermedium;
    vertical-align: top;
    margin: 0 0 0 1%;
}

form.default.asBtn{
    display: inline-block;
    width: auto;
}
/* history */
.historyContent{
    height: 100%;
    overflow: scroll;
    overflow-x: hidden;
    width: 100%;
}
.historyItem{
    float: right;
    border: 1px solid #E5E5E5;
    border-radius: 8px;
    margin: 0 0 18px 0;
    padding: 40px;
    width: 100%;
    max-width: 592px;
}
.historyItem span{
    display: inline-block;
    text-align: left;
    vertical-align: middle;
}
.historyItem .moneyFlow .wallet{
    background: #DBF8FF;
}
.historyItem .moneyFlow .payout{
    background: #E5E5E5;
}
.historyItem .moneyFlow .savings{
    background: #D5FBE8;
}
.historyItem .moneyFlow .from, .historyItem .moneyFlow .to{
    font-size: 0.875rem;
    padding: 8px 12px;
    border-radius: 4px;
    font-weight: bold;
}
.historyItem .moneyFlow .arrow{
    padding: 8px 8px;
}
.historyItem .hash{
    color: #999;
    font-size: 0.75rem;
    display: block;
}
.historyItem .datetime{
    color: #808080;
    font-size: 0.75rem;
    float:right;
    height: 40px;
    line-height: 40px;
}
.historyItem .datetime img{
    display: inline-block;
    vertical-align: middle;
    margin: -2px 5px 0 0;
}
.historyItem .functionName{
}
.historyItem .amount{
    font-size: 2rem;
    font-family: pvm;
    padding: 12% 0 1% 0;
}
/* form
--------------------------------------------------*/
form{

}
form fieldset{
    border:none;
}
form input,
form textarea,
form select{
    font-size:1rem;
    color:#808080;
    border: 1px solid #CCCCCC;
    border-radius: 4px;
    outline:none;
    background:#ffffff;

}
form input{
    padding:0 10px;
    height:40px;
    line-height:40px;
}
form.default input[type="text"]{
    padding: 2px 10px;
}
form input[type="submit"]{
    cursor:pointer;
}
form select{

}
form select option{

}

form textarea{

}
form input[type="radio"],
form input[type="checkbox"]{
    width:auto;
    height:auto;
    background:none;
    border:none;
    border-radius: 0;
    -webkit-border-radius:0px;
}

/*default*/
form.default{
    width: 100%;
    max-width: 640px;
}
form.default .row{
    padding:8px 0 15px 0;
    float: left;
    width: 100%;
    text-align:left;
    margin: 0;
}
form.default .row.row_password{
    border-top: 1px solid #e5e5e5;
    padding-top: 20px;
    margin-top: 20px;
}
form.default .row.row_submit{
    padding-top: 18px;
}
form.default .row_hidden{
    height:0;
    overflow:hidden;
    padding: 0;
}
form.default input,
form.default textarea{
    width: 100%;
}
form.default textarea{

}
form.default select{

}
form.default .isEdit input[type="text"],
form.default .isEdit input[type="password"],
form.default .isEdit textarea,
form.default .isEdit select{
    color:#808080;
    border: 1px solid #CCCCCC;
    border-radius: 4px;
}
form input[type="radio"],
form input[type="checkbox"]{
    width:auto;
    height:auto;
    border:none;
    background:none;
    float: left;
    margin: 5px 0 0 0;
}

form.default label{
    color: #999;
    font-size: 0.8rem;
    margin: 0 0 6px 0;
    display: inline-block;
}
form.default .row_checkbox label{
    width: 94%;
    padding: 0 0 0 1%;
    position: static;
    margin: 2px 0 0 0;
}

form.default label.required{

}
form.default label a{
    text-decoration:none;
}

/*hasErrors*/
form.default div.hasErrors{
    /*background:#fbf3f1;
    padding:9px;
    border:1px solid #fccac1;
    border-radius:1px;
    margin-left:0;
    margin-right:0;
    margin-bottom:15px;
    height:auto;
    */
}
form.default .hasErrors input[type="text"], form.default .hasErrors input[type="password"],
form.default .hasErrors select,
form.default .hasErrors textarea{
    border-color:#e94041;
}
form.default .row ul{
    clear:both;
    display:block;
}
form.default .row ul li{
    color:#010101;
    text-align:left;
    padding:3px 0 0 0px;
    list-style-type: none;
    font-size: 80%;
}
form.default .errorNote{
    color:#e94041;
    text-align:right;
}
form.default span.asterix{
    display: none;
}
form.default .requiredNote{
    clear:both;
}
form.default input[type="submit"]{
    background: #000;
    color: #fff;
    padding: 4px 16px 4px 16px;
    width: auto;
    height: auto;
}
/* RWD */
@media screen and (max-width: 1024px){
    html, body, #wholeContent, .sibelusContent, .mainContent, .pageContent, .column1, .column2{
        height: auto;
    }
    .hideMobile{
        display: none;
    }
    .pageContent{
        padding-top: 100px;
    }
    .pageContent h3{
        margin: 0 0 30px 0;
    }
    .pageContent h4{
        font-size: 3rem;
    }
    .pageContent p{
        font-size: 1.2rem;
        padding: 30px 0 20px 0;
    }
    .callToActionBox{
        margin: 0 0 30px 0;
    }
    .callToActionBox .btn.white{
        padding: 10px 20px 10px 40px;
    }
    .mainHeader{
        height: 60px;
    }
    .headerLogo{
        margin: 0 30px 20px 0;
    }
    .mainMenu{
        border: none;
        padding: 0;
        margin: 0;
        display: block;
        width: 100%;
    }
    .mainMenu ul li{
        padding: 0 10px 0 0;
    }
    .userAccountBox{
        float: none;
        width: 100%;
        display: block;
    }
    .userAccountBox{
    }
    .userAccountBox .separator{
        display: none;
    }
    .userAccountBox .walletAddress{
    }
    .userAccountBox a.btn.white{
    }
    .userAccountBox a.btn.login img{
        display: none;
    }
    .column1, .column2{
        width: 100%;
    }
    .callToActionBox, .moneyBox{
        position: static;
        width: 100%;

    }
    .chart{
        display: none;
    }
    .moneyBox .arrows{
        display: none;
    }
    .walletBox, .savingsBox{
        width: 100%;
    }
    .savingsBox{
        margin: 20px 0 0 0;
    }
}